<?php



class TblprolicenseMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblprolicenseMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblprolicensePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblprolicensePeer::TABLE_NAME);
		$tMap->setPhpName('Tblprolicense');
		$tMap->setClassname('Tblprolicense');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('LI_TYPE', 'LiType', 'TINYINT', true, null);

		$tMap->addPrimaryKey('LI_CUSTOMER', 'LiCustomer', 'INTEGER', true, null);

		$tMap->addPrimaryKey('LI_PRODUCT', 'LiProduct', 'INTEGER', true, null);

		$tMap->addPrimaryKey('LI_VERSION', 'LiVersion', 'INTEGER', true, null);

		$tMap->addColumn('LI_LEVEL', 'LiLevel', 'TINYINT', false, null);

		$tMap->addColumn('LI_CREATEDATE', 'LiCreatedate', 'TIMESTAMP', false, null);

		$tMap->addColumn('LI_EXPIREDATE', 'LiExpiredate', 'TIMESTAMP', false, null);

		$tMap->addColumn('LI_PROKEY', 'LiProkey', 'VARCHAR', false, 63);

	} 
} 